Reputation: 1
I am getting the following message while installing ICP on Ubuntu. I searched for helm-api-3.1.0.tgz and that the file exists. Any idea what would cause this?
TASK [addon : Installing helm-api chart]
FAILED - RETRYING: Installing helm-api chart (5 retries left).
FAILED - RETRYING: Installing helm-api chart (4 retries left).
FAILED - RETRYING: Installing helm-api chart (3 retries left).
FAILED - RETRYING: Installing helm-api chart (2 retries left).
FAILED - RETRYING: Installing helm-api chart (1 retries left).
fatal: [localhost]: FAILED! => changed=true
attempts: 5
cmd: |-
filename="/addon/helm-api-3.1.0.tgz"
if [[ -d "/addon/helm-api-3.1.0.tgz" ]]; then
filename=$(ls /addon/helm-api-3.1.0.tgz/*.tgz | tail -1)
fi
ret=0
if helm status --tls helm-api &>/dev/null && helm status --tls helm-api | grep -q 'STATUS: FAILED'; then
rev=$(helm list --tls helm-api | awk '{if($1 == "helm-api"){print $2;exit}}')
if [[ "$rev" == "1" ]]; then
helm delete --tls --purge --timeout=600 helm-api
ret=$?
sleep 5
fi
fi
if ! helm status --tls helm-api &>/dev/null; then
helm upgrade --tls --install --force --timeout=600 --namespace=kube-system -f .addon/helm-api/values.yaml helm-api $filename
ret=$?
fi
if [[ $ret -ne 0 ]]; then
tiller_pod=$(kubectl -n kube-system get pods -l app=helm,name=tiller -o jsonpath="{.items[0].metadata.name}")
kubectl -n kube-system logs $tiller_pod &> /installer/cluster/logs/$tiller_pod
echo "============================================================"
echo "Tiller log can be found under cluster/logs/$tiller_pod"
echo "============================================================"
fi
exit $ret
delta: '0:00:01.819853' end: '2018-11-12 16:21:59.248602' msg: non-zero return code rc: 1 start: '2018-11-12 16:21:57.428749'
stderr: 'Error: secrets "rudder-secret" already exists'
stderr_lines: stdout: |- Release "helm-api" does not exist. Installing it now. ============================================================ Tiller log can be found under cluster/logs/tiller-deploy-57b467b45b-c6xqg ============================================================ stdout_lines:
Upvotes: 0
Views: 546
Reputation: 643
Assuming the problem is this:
'Error: secrets "rudder-secret" already exists'
I'm not positive what might cause it, but my first thought would be a previously failed installation left something behind. So your best bet might be to clean the machine from previous installations, and start over. This page might help with cleaning things up.
If you can use kubectl
, you might be able to run these commands to manually remove the secrets:
kubectl delete secrets/helmapi-secret --namespace kube-system
kubectl delete secrets/rudder-secret --namespace kube-system
Then you might be able to resume or restart the installation. I don't think this would work as well as uninstalling, cleaning up, and starting over.
Upvotes: 1